Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class MovieWriter

    java.lang.Object
      MovieWriter

    public class MovieWriter

extends Object

Class to write out an AVI or Quicktime movie from a series of JPEG (jpg) frames in a directory

Author:
  Barb Ericson ericson@cc.gatech.edu

Constructor Summary
`MovieWriter()` No arg constructor
`MovieWriter(int theFrameRate)` Constructor that takes the frame rate
`MovieWriter(int theFrameRate, String theFramesDir)` Constructor that takes the frame rate and the directory that the frames are stored in
`MovieWriter(String dirPath)` Constructor that takes the directory that has the frames
`MovieWriter(String theFramesDir, int theFrameRate, String theOutputURL)` Constructor that takes the directory with the frames the frame rate, and the output url (dir,name, and extendsion)

Method Summary
`List<String>` | `getFrameNames()` Method to get the list of jpeg frames
`static void` | `main(String[] args)`
`void` | `writeAVI()` Method to write the movie frames in AVI format
`void` | `writeQuicktime()` Method to write the movie frames as quicktime

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MovieWriter

    public MovieWriter()

  No arg constructor

### MovieWriter

    public MovieWriter(String dirPath)

  Constructor that takes the directory that has the frames

  Parameters:
    `dirPath` - the full path for the directory that has the movie frames

### MovieWriter

    public MovieWriter(int theFrameRate)

  Constructor that takes the frame rate

  Parameters:
    `theFrameRate` - the number of frames per second

### MovieWriter

    public MovieWriter(int theFrameRate,
                       String theFramesDir)

  Constructor that takes the frame rate and the directory that the frames are stored in

  Parameters:
    `theFrameRate` - the number of frames per second
    `theFramesDir` - the directory where the frames are

### MovieWriter

    public MovieWriter(String theFramesDir,
                       int theFrameRate,
                       String theOutputURL)

  Constructor that takes the directory with the frames the frame rate, and the output url (dir,name, and extendsion)

  Parameters:
    `theFramesDir` - the directory that holds the frame
    `theFrameRate` - the number of frames per second
    `theOutputURL` - the complete path name for the output movie

Method Detail

### getFrameNames

    public List<String> getFrameNames()

  Method to get the list of jpeg frames

  Returns:
    a list of full path names for the frames of the movie

### writeAVI

    public void writeAVI()

  Method to write the movie frames in AVI format

### writeQuicktime

    public void writeQuicktime()

  Method to write the movie frames as quicktime

### main

    public static void main(String[] args)

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD